Subject: Re: #1339: Does RFC 3978 3.3.a.(E) grant third parties rights to modify source

From: Todd Glassey <[email-masked]>
Date: Fri, 28 Jul 2006 14:06:28 -0700 (GMT-07:00)

You understand that 'correcting this in the next iteration' means that there are a number of documents submitted to the IETF under the previous rules - and the IETF doesnt get to chane those rules retroactively.

Todd

-----Original Message-----
>From: Simon Josefsson <[email-masked]>
>Sent: Jul 28, 2006 12:43 PM
>To: Harald Alvestrand <[email-masked]>
>Cc: [email-masked]
>Subject: Re: #1339: Does RFC 3978 3.3.a.(E) grant third parties rights	to	modify source
>
>Harald Alvestrand <[email-masked]> writes:
>
>> Ticket #1339 assigned.
>
>I believe Jorge have explained that; Yes, the intention (if not the
>language) was to give third parties the right to modify code fragments
>of documents.
>
>I believe some WG members earlier claimed the opposite.
>
>I think we can close the ticket with the contents of this e-mail.
>Unless someone objects, of course.
>
>Thanks,
>Simon
>
>From: "Contreras, Jorge" <[email-masked]>
>Subject: RE: Comments to WG meeting
>Newsgroups: gmane.ietf.ipr
>Cc: "Joel M. Halpern" <[email-masked]>, [email-masked]
>Date: Mon, 17 Jul 2006 20:33:11 -0400
>
>
>
>> -----Original Message-----
>> From: Simon Josefsson [mailto:[email-masked]]
>> Sent: Monday, July 17, 2006 2:36 PM
>> To: Contreras, Jorge
>> Cc: Joel M. Halpern; [email-masked]
>> Subject: RE: Comments to WG meeting
>> 
>> 
>> >
>> >> If I understand Jorge correctly, in his response quoted by Elwyn
>> >> recently, RFC 3978 already give everyone this permission too, for
>> >> code, but due to its unclear wording, at least I have not 
>> been reading
>> >> it that way.
>> >
>> > Here is the right granted for code extracts that's 
>> currently in RFC 3978
>> > at 3.3.a(E):
>> >
>> > 		to extract, copy, publish, display, distribute, 
>> modify and
>> >           incorporate into other works, for any purpose 
>> (and not limited
>> >           to use within the IETF Standards Process) any 
>> executable code
>> >           or code fragments that are included in any IETF 
>> Document (such
>> >           as MIB and PIB modules), subject to the requirements of
>> >           Section 5
>> 
>> Right, although the interesting aspect is whether the rights 
>> are granted
>> to third parties or only to the IETF and the ISOC.  Your statement, as
>> quoted by Brian/Elwyn, implies that you regard the '(and not 
>> limited to
>> use ...)' parenthesis to mean that third parties are granted 
>> those rights.
>> 
>> The leading text in 3.3.a says that the rights in (A)-(E) are 
>> granted to
>> the IETF and ISOC, it doesn't say anything about third parties.
>> 
>> I think we need to establish (1) whether RFC 3978 give third 
>> parties the
>> above rights, and more importantly, (2) what the IETF's 
>> intentions are in
>> this area.
>> 
>
>Simon -- you are right about the ambiguity.  The license language
>that I pasted above just grants rights to IETF Participants.  You have
>correctly interpreted RFC 3978.  However, many people point to the
>legend "Distribution of this memo is unlimited" that appears in most,
>if not all, RFCs as indicating that rights extend more broadly.
>This conclusion is drawn not only from this language (which is admittedly
>vague), but also from generally accepted past practice.
>
>This being said, I completely agree with you that the intent should
>be clarified in the next iteration of RFC 3978.
>
>_______________________________________________
>Ipr-wg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg